<?php
declare(strict_types=1);


namespace ImageResizer\Models;

class ResizeParams
{
    public int|null $width;
    public int|null $height;
    public int|null $quality;

    public function __construct(array $params)
    {
        $this->width = intval($params['width']) ?: intval($_ENV["DEFAULT_WIDTH"]);
        $this->height = intval($params['height']) ?: null;
        $this->quality = isset($params['quality']) ? intval($params['quality']) : null;
    }
}